View Issue Details

IDProjectCategoryView StatusLast Update
0004054SketcherBugpublic2020-06-05 17:23
Reporteruwestoehr Assigned Toabdullah  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target Version0.19Fixed in Version0.19 
Summary0004054: lengths in reference mode length are treated redundant
Description- open this file: https://forum.freecadweb.org/download/file.php?id=87537
- open Sketch002
- assure that you use the option "Auto update"
- constrain the circle with a reference mode diameter or radius

result: the reference mode radius is reported as redundant. Here is the screencast: https://forum.freecadweb.org/download/file.php?id=87538

The reference mode does not set that the circle should have a certain radius, but measures its current radius. Therefore is is not a redundant diameter.

The bug only occurs when the option "Auto update" is used. To get rid of the wrong redundancy message one must press the "Update" button. But the option "Auto update" should do exactly this automatically.
Additional InformationI think this bug is different than the existing bug 0003529.

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=37669

Bug is in 0.18 and 0.19:

OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.17331 (Git)
Build type: Release
Branch: master
Hash: cf18161dc26267c259ac21675cb9637263bf4152
Python version: 3.6.6
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: German/Germany (de_DE)


Tagssketcher
FreeCAD Information

Relationships

related to 0003529 feedbackabdullah GCS Solver reports redundant constraints on (blue) measures in reference mode 

Activities

Kunda1

2019-08-23 03:00

administrator   ~0013462

Set 0.19 target

abdullah

2020-05-28 16:45

manager   ~0014433

https://github.com/FreeCAD/FreeCAD/pull/3520

abdullah

2020-05-29 12:25

manager   ~0014436

git commit 0c5fc74e352cde5633d50bfb1c8c43dd1a507696

abdullah

2020-06-05 17:23

manager   ~0014483

Fix committed to master branch.

Related Changesets

FreeCAD: master 0c5fc74e

2020-05-28 15:07:30

abdullah


Committer: abdullahtahiriyo Details Diff
Sketcher: Fixing Driving constraint apparent redundancy

=======================================================

When adding a reference constraint of type radius or diameter to an external geometry using the method of select the
continuous mode method (select tool first, click geometry afterwards), with ActiveUpdate checked, there was a missing
solving to bring the solver information in line with the Driven constraint.

fixes 0004054
Affected Issues
0004054
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File

Issue History

Date Modified Username Field Change
2019-07-12 22:48 uwestoehr New Issue
2019-07-12 22:48 uwestoehr Tag Attached: sketcher
2019-08-23 02:56 Kunda1 Relationship added related to 0003529
2019-08-23 03:00 Kunda1 Target Version => 0.19
2019-08-23 03:00 Kunda1 Note Added: 0013462
2020-05-28 16:45 abdullah Note Added: 0014433
2020-05-29 12:25 abdullah Assigned To => abdullah
2020-05-29 12:25 abdullah Status new => closed
2020-05-29 12:25 abdullah Resolution open => fixed
2020-05-29 12:25 abdullah Fixed in Version => 0.19
2020-05-29 12:25 abdullah Note Added: 0014436
2020-06-05 17:23 abdullah Changeset attached => FreeCAD master 0c5fc74e
2020-06-05 17:23 abdullah Note Added: 0014483